﻿<%@ Page Title="Manage Contact's Email Addresses" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Manage.aspx.cs" Inherits="Website.Contacts.EmailAddresses.Manage" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <asp:PlaceHolder ID="PlaceHolder1" runat="server">
        <script src="<%: ResolveUrl("~/Scripts/pages/Contacts/EmailAddresses/Manage.js") %>"></script>
    </asp:PlaceHolder>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FeaturedContent" runat="server">
    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1><%: Title %>.</h1>
            </hgroup>
            <p>
                Visit the project's site at <a href="http://manadataaccess.codeplex.com">http://manadataaccess.codeplex.com</a>.
            </p>
        </div>
    </section>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="server">
    <fieldset class="section">
        <legend>Contact</legend>

        <div class="form-item"><span class="form-item-name">Name:</span><span class="form-item-value"><asp:Label runat="server" ID="lblContactName" /></span></div>
    </fieldset>
        
    <fieldset class="section">
        <legend>Email addresses</legend>
        
        <p>
            <a id="btnNewEmailAddress" href="#" >Add new email address...</a>
        </p>

        <asp:GridView   runat="server" ID="grdEmailAddresses" AutoGenerateColumns="false" EmptyDataText="No EmailAddresses to show."
                        AllowPaging="true" AllowSorting="true" PageSize="15"
                        ondatabinding="grdEmailAddresses_DataBinding" onpageindexchanging="grdEmailAddresses_PageIndexChanging" onsorting="grdEmailAddresses_Sorting" onrowcommand="grdEmailAddresses_RowCommand">
            <Columns>
			    <asp:TemplateField HeaderText="Number" SortExpression="Number">
                    <ItemTemplate>
						<asp:LinkButton runat="server" ID="EditButton" Text='<%# DataBinder.Eval(Container.DataItem, "Address") %>' CommandName="EditItem" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "EmailAddressId") %>' />
					</ItemTemplate>
                </asp:TemplateField>
				<asp:BoundField DataField="Type" HeaderText="Type" SortExpression="Type" />
                <asp:TemplateField>
                    <ItemTemplate>
						<asp:LinkButton runat="server" ID="DeleteButton" Text="Delete" CommandName="DeleteItem" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "EmailAddressId") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <p>
		    <asp:Label runat="server" ID="lblEmailAddressesMessage" ClientIDMode="Static" CssClass="error-message" />
	    </p>
    </fieldset>

    <div style="display: none">
        <div id="divNewEmailAddress" class="form-container">
			<h3>New Email Address</h3>

			<fieldset class="form-container">
				<legend>Data</legend>

				<div class="form-item"><span class="form-item-name">Address:</span><span class="form-item-value"><asp:TextBox runat="server" ID="txtNewEmailAddressAddress" ClientIDMode="Static" ValidationGroup="NewEmailAddress" /><asp:RequiredFieldValidator runat="server" ID="rfvNewEmailAddressAddress" ControlToValidate="txtNewEmailAddressAddress" Text=" *" ValidationGroup="NewEmailAddress" class="error-message" ></asp:RequiredFieldValidator></span></div>
				<div class="form-item"><span class="form-item-name">Type:</span><span class="form-item-value"><asp:DropDownList runat="server" ID="ddlNewEmailAddressType" ClientIDMode="Static" ValidationGroup="NewEmailAddress" /><asp:RequiredFieldValidator runat="server" ID="rfvNewEmailAddressType" ControlToValidate="ddlNewEmailAddressType" Text=" *" ValidationGroup="NewEmailAddress" class="error-message" ></asp:RequiredFieldValidator></span></div>
			</fieldset>

            <div class="form-item">
				<span class="form-item-name"></span>
				<span class="form-item-value">
					<asp:LinkButton runat="server" ID="btnNewEmailAddressAccept" Text="Accept" OnClick="btnNewEmailAddressAccept_Click" ValidationGroup="NewEmailAddress" />
					<a href="#" id="btnNewEmailAddressCancel">Cancel</a>
				</span>
			</div>
				
			<div class="form-item">
				<asp:Label runat="server" ID="lblNewEmailAddressMessage" ClientIDMode="Static" class="error-message" />
			</div>
        </div>
    </div>

    <div style="display: none">
        <div id="divEditEmailAddress" class="form-container">
			<h3>Edit Email Address</h3>

			<fieldset class="form-container">
				<legend>Data</legend>

				<div class="form-item"><span class="form-item-name">Address:</span><span class="form-item-value"><asp:TextBox runat="server" ID="txtEditEmailAddressAddress" ClientIDMode="Static" ValidationGroup="EditEmailAddress" /><asp:RequiredFieldValidator runat="server" ID="rfvEditEmailAddressAddress" ControlToValidate="txtEditEmailAddressAddress" Text=" *" ValidationGroup="EditEmailAddress" class="error-message" ></asp:RequiredFieldValidator></span></div>
				<div class="form-item"><span class="form-item-name">Type:</span><span class="form-item-value"><asp:DropDownList runat="server" ID="ddlEditEmailAddressType" ClientIDMode="Static" ValidationGroup="EditEmailAddress" /><asp:RequiredFieldValidator runat="server" ID="rfvEditEmailAddressType" ControlToValidate="ddlEditEmailAddressType" Text=" *" ValidationGroup="EditEmailAddress" class="error-message" ></asp:RequiredFieldValidator></span></div>
			</fieldset>
			
			<div class="form-item">
				<span class="form-item-name"></span>
				<span class="form-item-value">
					<asp:LinkButton runat="server" ID="btnEditEmailAddressSave" Text="Save" OnClick="btnEditEmailAddressSave_Click" ValidationGroup="EditEmailAddress" />
					<a href="#" id="btnEditEmailAddressCancel">Cancel</a>
				</span>
			</div>

			<div class="form-item">
				<asp:Label runat="server" ID="lblEditEmailAddressMessage" ClientIDMode="Static" class="error-message" />
			</div>
        </div>
    </div>
    
</asp:Content>
