﻿<%@ Page Title="Manage Contacts" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Manage.aspx.cs" Inherits="Website.Contacts.Manage" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <asp:PlaceHolder ID="PlaceHolder1" runat="server">        
        <script src="<%: ResolveUrl("~/Scripts/pages/Contacts/Manage.js") %>"></script>
    </asp:PlaceHolder>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FeaturedContent" runat="server">
    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1><%: Title %>.</h1>
            </hgroup>
            <p>
                Visit the project's site at <a href="http://manadataaccess.codeplex.com">http://manadataaccess.codeplex.com</a>.
            </p>
        </div>
    </section>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="server">
    <p>
        <a id="btnNewContact" href="#" >Add new contact...</a>
    </p>

    <asp:GridView   runat="server" ID="grdContacts" AutoGenerateColumns="false" EmptyDataText="No Contacts to show."
                    AllowPaging="true" AllowSorting="true" PageSize="15"
                    ondatabinding="grdContacts_DataBinding" onpageindexchanging="grdContacts_PageIndexChanging" onsorting="grdContacts_Sorting" onrowcommand="grdContacts_RowCommand">
        <Columns>
			<asp:TemplateField HeaderText="Name" SortExpression="Name">
                <ItemTemplate>
					<asp:LinkButton runat="server" ID="EditButton" Text='<%# DataBinder.Eval(Container.DataItem, "Name") %>' CommandName="EditItem" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ContactId") %>' />
				</ItemTemplate>
            </asp:TemplateField>
			<asp:BoundField DataField="CreationDate" HeaderText="CreationDate" SortExpression="CreationDate" />
            <asp:TemplateField>
                <ItemTemplate>
					<a href='PhoneNumbers/Manage.aspx?cid=<%# DataBinder.Eval(Container.DataItem, "ContactId") %>'>Manage Phones...</a>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
					<a href='EmailAddresses/Manage.aspx?cid=<%# DataBinder.Eval(Container.DataItem, "ContactId") %>'>Manage Emails...</a>
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField>
                <ItemTemplate>
					<asp:LinkButton runat="server" ID="DeleteButton" Text="Delete" CommandName="DeleteItem" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "ContactId") %>' />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
    <p>
		<asp:Label runat="server" ID="lblContactsMessage" ClientIDMode="Static" CssClass="error-message" />
	</p>

    <div style="display: none">
        <div id="divNewContact" class="form-container">
			<h3>New Contact</h3>

			<fieldset class="form-container">
				<legend>Data</legend>

				<div class="form-item"><span class="form-item-name">Name:</span><span class="form-item-value"><asp:TextBox runat="server" ID="txtNewContactName" ClientIDMode="Static" ValidationGroup="NewContact" /><asp:RequiredFieldValidator runat="server" ID="rfvNewContactName" ControlToValidate="txtNewContactName" Text=" *" ValidationGroup="NewContact" class="error-message" ></asp:RequiredFieldValidator></span></div>
			</fieldset>

            <div class="form-item">
				<span class="form-item-name"></span>
				<span class="form-item-value">
					<asp:LinkButton runat="server" ID="btnNewContactAccept" Text="Accept" OnClick="btnNewContactAccept_Click" ValidationGroup="NewContact" />
					<a href="#" id="btnNewContactCancel">Cancel</a>
				</span>
			</div>
				
			<div class="form-item">
				<asp:Label runat="server" ID="lblNewContactMessage" ClientIDMode="Static" class="error-message" />
			</div>
        </div>
    </div>

    <div style="display: none">
        <div id="divEditContact" class="form-container">
			<h3>Edit Contact</h3>

			<fieldset class="form-container">
				<legend>Data</legend>

				<div class="form-item"><span class="form-item-name">Name:</span><span class="form-item-value"><asp:TextBox runat="server" ID="txtEditContactName" ClientIDMode="Static" ValidationGroup="EditContact" /><asp:RequiredFieldValidator runat="server" ID="rfvEditContactName" ControlToValidate="txtEditContactName" Text=" *" ValidationGroup="EditContact" class="error-message" ></asp:RequiredFieldValidator></span></div>
				<div class="form-item"><span class="form-item-name">CreationDate:</span><span class="form-item-value"><asp:Label runat="server" ID="lblEditContactCreationDate" ClientIDMode="Static" /></span></div>
			</fieldset>
			
			<div class="form-item">
				<span class="form-item-name"></span>
				<span class="form-item-value">
					<asp:LinkButton runat="server" ID="btnEditContactSave" Text="Save" OnClick="btnEditContactSave_Click" ValidationGroup="EditContact" />
					<a href="#" id="btnEditContactCancel">Cancel</a>
				</span>
			</div>

			<div class="form-item">
				<asp:Label runat="server" ID="lblEditContactMessage" ClientIDMode="Static" class="error-message" />
			</div>
        </div>
    </div>
</asp:Content>
