﻿<%@ Page Title="Manage Contact's Phone Numbers" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Manage.aspx.cs" Inherits="Website.Contacts.PhoneNumbers.Manage" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <asp:PlaceHolder ID="PlaceHolder1" runat="server">
        <script src="<%: ResolveUrl("~/Scripts/pages/Contacts/PhoneNumbers/Manage.js") %>"></script>
    </asp:PlaceHolder>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="FeaturedContent" runat="server">
    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1><%: Title %>.</h1>
            </hgroup>
            <p>
                Visit the project's site at <a href="http://manadataaccess.codeplex.com">http://manadataaccess.codeplex.com</a>.
            </p>
        </div>
    </section>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="server">
    <fieldset class="section">
        <legend>Contact info</legend>

        <div class="form-item"><span class="form-item-name">Name:</span><span class="form-item-value"><asp:Label runat="server" ID="lblContactName" /></span></div>
    </fieldset>
        
    <fieldset class="section">
        <legend>Phone numbers</legend>

        <p>
            <a id="btnNewPhoneNumber" href="#" >Add new phone number...</a>
        </p>

        <asp:GridView   runat="server" ID="grdPhoneNumbers" AutoGenerateColumns="false" EmptyDataText="No PhoneNumbers to show."
                        AllowPaging="true" AllowSorting="true" PageSize="15"
                        ondatabinding="grdPhoneNumbers_DataBinding" onpageindexchanging="grdPhoneNumbers_PageIndexChanging" onsorting="grdPhoneNumbers_Sorting" onrowcommand="grdPhoneNumbers_RowCommand">
            <Columns>
				<asp:TemplateField HeaderText="Number" SortExpression="Number">
                    <ItemTemplate>
						<asp:LinkButton runat="server" ID="EditButton" Text='<%# DataBinder.Eval(Container.DataItem, "Number") %>' CommandName="EditItem" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "PhoneNumberId") %>' />
					</ItemTemplate>
                </asp:TemplateField>
				<asp:BoundField DataField="Type" HeaderText="Type" SortExpression="Type" />
                <asp:TemplateField>
                    <ItemTemplate>
						<asp:LinkButton runat="server" ID="DeleteButton" Text="Delete" CommandName="DeleteItem" CommandArgument='<%# DataBinder.Eval(Container.DataItem, "PhoneNumberId") %>' />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <p>
			<asp:Label runat="server" ID="lblPhoneNumbersMessage" ClientIDMode="Static" CssClass="error-message" />
		</p>
    </fieldset>
        

    <div style="display: none">
        <div id="divNewPhoneNumber" class="form-container">
			<h3>New Phone Number</h3>

			<fieldset class="form-container">
				<legend>Data</legend>

				<div class="form-item"><span class="form-item-name">Number:</span><span class="form-item-value"><asp:TextBox runat="server" ID="txtNewPhoneNumberNumber" ClientIDMode="Static" ValidationGroup="NewPhoneNumber" /><asp:RequiredFieldValidator runat="server" ID="rfvNewPhoneNumberNumber" ControlToValidate="txtNewPhoneNumberNumber" Text="*" ValidationGroup="NewPhoneNumber" class="error-message" ></asp:RequiredFieldValidator></span></div>
				<div class="form-item"><span class="form-item-name">Type:</span><span class="form-item-value"><asp:DropDownList runat="server" ID="ddlNewPhoneNumberType" ClientIDMode="Static" ValidationGroup="NewPhoneNumber" /><asp:RequiredFieldValidator runat="server" ID="rfvNewPhoneNumberType" ControlToValidate="ddlNewPhoneNumberType" Text="*" ValidationGroup="NewPhoneNumber" class="error-message" ></asp:RequiredFieldValidator></span></div>
			</fieldset>

            <div class="form-item">
				<span class="form-item-name"></span>
				<span class="form-item-value">
					<asp:LinkButton runat="server" ID="btnNewPhoneNumberAccept" Text="Accept" OnClick="btnNewPhoneNumberAccept_Click" ValidationGroup="NewPhoneNumber" />
					<a href="#" id="btnNewPhoneNumberCancel">Cancel</a>
				</span>
			</div>
				
			<div class="form-item">
				<asp:Label runat="server" ID="lblNewPhoneNumberMessage" ClientIDMode="Static" class="error-message" />
			</div>
        </div>
    </div>

    <div style="display: none">
        <div id="divEditPhoneNumber" class="form-container">
			<h3>Edit Phone Number</h3>

			<fieldset class="form-container">
				<legend>Data</legend>

				<div class="form-item"><span class="form-item-name">Number:</span><span class="form-item-value"><asp:TextBox runat="server" ID="txtEditPhoneNumberNumber" ClientIDMode="Static" ValidationGroup="EditPhoneNumber" /><asp:RequiredFieldValidator runat="server" ID="rfvEditPhoneNumberNumber" ControlToValidate="txtEditPhoneNumberNumber" Text=" *" ValidationGroup="EditPhoneNumber" class="error-message" ></asp:RequiredFieldValidator></span></div>
				<div class="form-item"><span class="form-item-name">Type:</span><span class="form-item-value"><asp:DropDownList runat="server" ID="ddlEditPhoneNumberType" ClientIDMode="Static" ValidationGroup="EditPhoneNumber" /><asp:RequiredFieldValidator runat="server" ID="rfvEditPhoneNumberType" ControlToValidate="ddlEditPhoneNumberType" Text=" *" ValidationGroup="EditPhoneNumber" class="error-message" ></asp:RequiredFieldValidator></span></div>
			</fieldset>
			
			<div class="form-item">
				<span class="form-item-name"></span>
				<span class="form-item-value">
					<asp:LinkButton runat="server" ID="btnEditPhoneNumberSave" Text="Save" OnClick="btnEditPhoneNumberSave_Click" ValidationGroup="EditPhoneNumber" />
					<a href="#" id="btnEditPhoneNumberCancel">Cancel</a>
				</span>
			</div>

			<div class="form-item">
				<asp:Label runat="server" ID="lblEditPhoneNumberMessage" ClientIDMode="Static" class="error-message" />
			</div>
        </div>
    </div>
</asp:Content>
