﻿$(document).ready(doc_ready);

// ToDo: specify the correct controls prefixes (according to their type)
var btnNewContact,
	txtNewContactName,
	btnNewContactCancel,
	lblNewContactMessage,
	txtEditContactName,
	lblEditContactCreationDate,
    btnEditContactCancel,
	lblEditContactMessage,
	lblContactsMessage;

function doc_ready() {
	try	{
		initControls();

		fixColorbox();

		showNewContactPopUpIfNecessary();
		showEditContactPopUpIfNecessary();
	} catch(e) {
		showContactsErrorMessage(e.message);
	}
}

function initControls() {
    // ToDo: specify the correct controls prefixes (according to their type)
	btnNewContact = $("#btnNewContact");
	txtNewContactName = $("#txtNewContactName");
	btnNewContactCancel = $("#btnNewContactCancel");
	lblNewContactMessage = $("#lblNewContactMessage");
	txtEditContactName = $("#txtEditContactName");
	lblEditContactCreationDate = $("#lblEditContactCreationDate");
    btnEditContactCancel = $("#btnEditContactCancel");
	lblEditContactMessage = $("#lblEditContactMessage");
	lblContactsMessage = $("#lblContactsMessage");

	btnNewContact.click(btnNewContact_click);
    btnNewContactCancel.click(btnCancel_click);
    btnEditContactCancel.click(btnCancel_click);
}

function fixColorbox() {
    var pageForm = $( $("form")[0] );
    var cboxOverlay = $("#cboxOverlay");
    var colorbox = $("#colorbox");

    // move from "body" tag to "form" tag
    pageForm.prepend(colorbox);
    pageForm.prepend(cboxOverlay);
}

function btnNewContact_click(ev) {
	try	{
		ev.preventDefault();
		ev.stopPropagation();

		showNewContactPopUp();

		return false;
	} catch(e) {
		//
	}
}

function btnCancel_click(ev) {
    try {
		ev.preventDefault();
		ev.stopPropagation();

		$.fn.colorbox.close();

		return false;
	} catch(e) {
		//
	}
}

function clearControls() {
	txtNewContactName.val("");
	lblNewContactMessage.html("");
	txtEditContactName.val("");
	lblEditContactCreationDate.val("");
	lblEditContactMessage.html("");
}

function colorbox_closed() {
    try {
        clearControls();
    } catch (e) {
        // 
    }
}

function showNewContactPopUp() {
	// ToDo: specify the correct "width" & "height" 
	$.fn.colorbox({ inline: true, href: "#divNewContact", width: 560, height: 250, onClosed: colorbox_closed });
}

function showEditContactPopUp() {
	// ToDo: specify the correct "width" & "height" 
	$.fn.colorbox({ inline: true, href: "#divEditContact", width: 560, height: 250, onClosed: colorbox_closed });
}

function showNewContactPopUpIfNecessary() {
	if (lblNewContactMessage.length == 0)
		return;

    if (lblNewContactMessage.html() != "")
		showNewContactPopUp();
}

function showEditContactPopUpIfNecessary() {
	if (txtEditContactName.length == 0 || lblEditContactCreationDate.length == 0 || lblEditContactMessage.length == 0)
		return;

	if (txtEditContactName.val() != "" || lblEditContactCreationDate.val() != "" || lblEditContactMessage.html() != "")
		showEditContactPopUp();
}

function showContactsErrorMessage(message) {
	lblContactsMessage.html(message);
}